Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0036531
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajorrandom2017-07-24 16:232017-10-05 10:23
ReporteraaroncaleroView Statuspublic 
Assigned Toranjith_qualiantech_com 
PriorityhighResolutionfixedFixed in VersionRR17Q4
StatusclosedFix in branchFixed in SCM revision0aa7339d874c
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tomarvintm
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0036531: [SERQA 2997] Popup showing seconds left for the masterdata loading can break the POS

DescriptionWhen the incremental data loading is configured, there is a popup that is shown right before the incremental refresh is done, with a few seconds countdown (using a javascript interval), to allow the user to close the popup and cancel the process.
If another popup is opened while the masterdata refresh popup is being shown, a javascript error is thrown inside the js interval code (Uncaught TypeError: Cannot read property '$' of undefined) and the WebPOS enters an error loop which can only be fixed by reloading the application.
Steps To ReproduceThe issue can be reproduced in two ways:
1) Login in backend, go to the POS Terminal window, find the VBS-1 record, navigate to its POS Terminal Type and configure a very high "Time to Incrementally Refresh Masterdata (in minutes)" (i.e. 999999).
Go to the web pos and try to log in.

2) Login in backend, go to the POS Terminal window, find the VBS-1 record, navigate to its POS Terminal Type and configure a very low "Time to Incrementally Refresh Masterdata (in minutes)" (i.e. 0.5).
Login in web pos
Open devtools to be able to force the display of a new popup (in normal usage this can happen randomly, specially if using synchronized mode).
When the Masterdata Refresh popup is shown, execute the following to open a new popup: OB.UTIL.showConfirmation.display("Test", "Test");

In both cases the pos enters an error state and if the application is not reloaded the entire browser (and eventually the computer) gets frozen.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
depends on backport 0037008RR17Q3.1 closedranjith_qualiantech_com [SERQA 2997] Popup showing seconds left for the masterdata loading can break the POS 
depends on backport 0037009RR17Q2.4 closedranjith_qualiantech_com [SERQA 2997] Popup showing seconds left for the masterdata loading can break the POS 
has duplicate defect 0036827 closedranjith_qualiantech_com Error during the incremental refresh process when session is closed: "TypeError: Cannot read property '$' of undefined" 

-  Notes
(0098473)
hgbot (developer)
2017-08-10 11:52

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 70a9ed4602fe53b3500e4b7da8a405e26cd2b5b2
Author: Ranjith S R <ranjith <at> qualiantech.com>
Date: Thu Aug 10 15:22:08 2017 +0530
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/70a9ed4602fe53b3500e4b7da8a405e26cd2b5b2 [^]

Fixed issue 36531 : Masterdata reload popup structure changed

* Masterdata reload showConfirmation popup is replaced by creating popup manually
  in order to avoid the overwrite of master data reload popup by any new popup

---
M web/org.openbravo.retail.posterminal/js/login/model/login-model.js
---
(0098484)
marvintm (developer)
2017-08-11 10:41

Second case is solved by the current fix. First case should be solved by automatically changing the configured value to the maximum value accepted by the setInterval call before doing overflow.
(0098513)
hgbot (developer)
2017-08-16 06:35

Repository: erp/pmods/org.openbravo.mobile.core
Changeset: 4d5a2b71c13610e789a25a5648f6a2d0ab9a73d1
Author: Ranjith S R <ranjith <at> qualiantech.com>
Date: Wed Aug 16 10:04:17 2017 +0530
URL: http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/4d5a2b71c13610e789a25a5648f6a2d0ab9a73d1 [^]

Related to issue 36531 : Validate refresh time for masterdata reload

* Refresh time for masterdata reload should be max of 99999 minutes

---
M web/org.openbravo.mobile.core/source/model/ob-terminal-model.js
---
(0098514)
hgbot (developer)
2017-08-16 06:35

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: ba18775b19144aeb8e3dec372ed53622a8ed7556
Author: Ranjith S R <ranjith <at> qualiantech.com>
Date: Wed Aug 16 10:04:31 2017 +0530
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/ba18775b19144aeb8e3dec372ed53622a8ed7556 [^]

Fixed issue 36531 : Validate refresh time for masterdata reload

* Refresh time for masterdata reload should be max of 99999 minutes

---
M web/org.openbravo.retail.posterminal/js/login/model/login-model.js
---
(0099020)
ranjith_qualiantech_com (developer)
2017-09-14 08:40

Master data reload is not closed when popup "cancel" button is clicked
(0099055)
hgbot (developer)
2017-09-15 07:43

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 0aa7339d874c2f50f313299e3c19c8e274aba9c4
Author: Ranjith S R <ranjith <at> qualiantech.com>
Date: Fri Sep 15 11:13:10 2017 +0530
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/0aa7339d874c2f50f313299e3c19c8e274aba9c4 [^]

Fixed issue 36531 : Hide Master data reloa popup when cancel is clicked

---
M web/org.openbravo.retail.posterminal/js/login/model/login-model.js
---

- Issue History
Date Modified Username Field Change
2017-07-24 16:23 aaroncalero New Issue
2017-07-24 16:23 aaroncalero Assigned To => Retail
2017-07-24 16:23 aaroncalero Resolution time => 1502056800
2017-07-24 16:23 aaroncalero Triggers an Emergency Pack => No
2017-07-27 15:46 ranjith_qualiantech_com Assigned To Retail => ranjith_qualiantech_com
2017-07-27 15:46 ranjith_qualiantech_com Status new => scheduled
2017-08-10 11:52 hgbot Checkin
2017-08-10 11:52 hgbot Note Added: 0098473
2017-08-10 11:52 hgbot Status scheduled => resolved
2017-08-10 11:52 hgbot Resolution open => fixed
2017-08-10 11:52 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/70a9ed4602fe53b3500e4b7da8a405e26cd2b5b2 [^]
2017-08-11 10:41 marvintm Note Added: 0098484
2017-08-11 10:41 marvintm Status resolved => new
2017-08-11 10:41 marvintm Resolution fixed => open
2017-08-11 13:12 ranjith_qualiantech_com Status new => scheduled
2017-08-16 06:35 hgbot Checkin
2017-08-16 06:35 hgbot Note Added: 0098513
2017-08-16 06:35 hgbot Checkin
2017-08-16 06:35 hgbot Note Added: 0098514
2017-08-16 06:35 hgbot Status scheduled => resolved
2017-08-16 06:35 hgbot Resolution open => fixed
2017-08-16 06:35 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/70a9ed4602fe53b3500e4b7da8a405e26cd2b5b2 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/ba18775b19144aeb8e3dec372ed53622a8ed7556 [^]
2017-08-18 09:45 marvintm Review Assigned To => marvintm
2017-08-18 09:45 marvintm Status resolved => closed
2017-08-18 09:45 marvintm Fixed in Version => RR17Q4
2017-09-14 08:40 ranjith_qualiantech_com Note Added: 0099020
2017-09-14 08:40 ranjith_qualiantech_com Status closed => new
2017-09-14 08:40 ranjith_qualiantech_com Resolution fixed => open
2017-09-14 08:40 ranjith_qualiantech_com Fixed in Version RR17Q4 =>
2017-09-14 08:40 ranjith_qualiantech_com Status new => scheduled
2017-09-15 07:43 hgbot Checkin
2017-09-15 07:43 hgbot Note Added: 0099055
2017-09-15 07:43 hgbot Status scheduled => resolved
2017-09-15 07:43 hgbot Resolution open => fixed
2017-09-15 07:43 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/ba18775b19144aeb8e3dec372ed53622a8ed7556 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/0aa7339d874c2f50f313299e3c19c8e274aba9c4 [^]
2017-09-15 09:31 marvintm Status resolved => closed
2017-09-15 09:31 marvintm Fixed in Version => RR17Q4
2017-09-15 09:46 malsasua Relationship added has duplicate 0036827
2017-10-05 10:22 marvintm Status closed => new
2017-10-05 10:22 marvintm Resolution fixed => open
2017-10-05 10:22 marvintm Fixed in Version RR17Q4 =>
2017-10-05 10:23 marvintm Status new => scheduled
2017-10-05 10:23 marvintm Status scheduled => resolved
2017-10-05 10:23 marvintm Fixed in Version => RR17Q4
2017-10-05 10:23 marvintm Resolution open => fixed
2017-10-05 10:23 marvintm Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker